Subject: Re: bug#54774: 28.1; ansi-color with no colors in Emacs-28

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 08 Apr 2022 15:23:05 +0200

Thierry Volpiatto <[email-masked]> writes:

> it seems using ansi-color-apply in Emacs-28 is not working properly,
> there is no colors.  In Emacs-29 it is working properly (very nice)
> without needing a workaround used previously in emacs-27 (code commented).
> See code below to reproduce and Screenshots attached.

I'm not sure I understand this bug report.  Are you asking for the code
in ansi-color in Emacs 29 to be backported to Emacs 28.2?

We're only doing that for regressions and serious bugs, so that's not
going to happen for the ansi-color stuff.  (And besides, if I remember
correctly, the changes needed in ansi-color in Emacs 29 were rather
extensive, so it'd be impractical anyway.)

But perhaps I misunderstand what you mean here.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no